SoSFBool(3IV)

NAME
SoSFBool — field containing a single boolean value

INHERITS FROM
SoField > SoSField > SoSFBool

SYNOPSIS
#include <Inventor/fields/SoSFBool.h>

Methods from class SoSFBool:

static SoType
getClassTypeId()
virtual void
getTypeId() const
SbBool
getValue() const
SbBool
operator =(SbBool newValue)
void
setValue(SbBool newValue)
int
operator ==(const SoSFBool &f) const
int
operator !=(const SoSFBool &f) const

Methods from class SoField:

void
setIgnored(SbBool ignore)
SbBool
isIgnored() const
SbBool
isDefault() const
virtual SbBool
isOfType(SoType type) const
SbBool
set(const char *valueString)
void
get(SbString &valueString)
void
touch()
SbBool
connectFrom(SoField *fromField)
SbBool
connectFrom(SoEngineOutput *fromEngine)
void
disconnect()
SbBool
isConnected() const
SbBool
isConnectedFromField() const
SbBool
getConnectedField(SoField *&writingField) const
SbBool
isConnectedFromEngine() const
SbBool
getConnectedEngine(SoEngineOutput *&engineOutput) const
void
enableConnection(SbBool flag)
SbBool
isConnectionEnabled() const
int
getForwardConnections(SoFieldList &list) const
SoFieldContainer *
getContainer() const

DESCRIPTION
A field containing a single boolean (true or false) value.

SoSFBools may be written to file as "0" (representing FALSE), "1", "TRUE", or "FALSE".

METHODS
static SoType
getClassTypeId()
virtual void
getTypeId() const
Returns the type for this class or a particular object of this class.

SbBool
getValue() const
Returns this field's value.

SbBool
operator =(SbBool newValue)
void
setValue(SbBool newValue)
Sets this field to newValue.

int
operator ==(const SoSFBool &f) const
int
operator !=(const SoSFBool &f) const
Returns TRUE if f is of the same type and has the same value as this field.

SEE ALSO
SoField, SoSField, SoMFBool